Assess Cards
Assess cards from submitted images.
Assess cards from submitted images.
Header Parameters
Request Body
application/json
Request body for POST /cards/assessments.
images*array<object>One or more images, all provided as URLs, all as base64 images, or all as server-issued image_ref values. Do not mix input types.
Show child attributes3 shapes
Each item can be one of these shapes.
Image provided as base64 data.
images[].filename*stringFilename for the uploaded image data.
images[].data*stringBase64-encoded image bytes.
Image provided by URL.
images[].url*stringReachable image URL.
images[].filename?string | nullOptional filename to use when downloading this image.
Pre-uploaded assessment image referenced by its server-issued handle.
images[].image_ref*stringServer-issued reference returned by POST /images.
external_id?stringinclude?array<enum>Result sections to request. When omitted, the assessment uses the operations enabled for your organization. When at least one requested section is enabled, any others are omitted and reported in the response issues.
"identity" | "grade"Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/cards/assessments" \ -H "Content-Type: application/json" \ -d '{ "images": [ { "filename": "string", "data": "string" } ] }'{ "assessment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "external_id": "card-123", "status": "completed", "created_at": "2026-06-09T19:12:42.548Z", "completed_at": "2026-06-09T19:13:12.548Z", "assessment": { "items": [ { "identity": { "name": "Pikachu", "year": "1999", "game": "Pokemon", "set_name": "Base Set", "card_number": "58/102", "parallel_variant": "Holo", "language": "English", "edition": "1st Edition", "confidence": 0.94 }, "grade": { "grade": "8", "subgrades": { "centering": "7.5", "corners": "8", "edges": "8.5", "surface": "8" } } } ] }, "issues": []}